View Javadoc

    1   /*
    2    * Copyright 2012 The Netty Project
    3    *
    4    * The Netty Project licenses this file to you under the Apache License,
    5    * version 2.0 (the "License"); you may not use this file except in compliance
    6    * with the License. You may obtain a copy of the License at:
    7    *
    8    *   http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    12   * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    13   * License for the specific language governing permissions and limitations
    14   * under the License.
    15   */
    16  package org.jboss.netty.handler.codec.http.websocketx;
    17
    18  import org.jboss.netty.buffer.ChannelBuffer;
    19  import org.jboss.netty.buffer.ChannelBuffers;
    20
    21  /**
    22   * Web Socket frame containing binary data
    23   */
    24  public class PingWebSocketFrame extends WebSocketFrame {
    25
    26      /**
    27       * Creates a new empty ping frame.
    28       */
    29      public PingWebSocketFrame() {
    30          setFinalFragment(true);
    31          setBinaryData(ChannelBuffers.EMPTY_BUFFER);
    32      }
    33
    34      /**
    35       * Creates a new ping frame with the specified binary data.
    36       *
    37       * @param binaryData
    38       *            the content of the frame.
    39       */
    40      public PingWebSocketFrame(ChannelBuffer binaryData) {
    41          setBinaryData(binaryData);
    42      }
    43
    44      /**
    45       * Creates a new ping frame with the specified binary data
    46       *
    47       * @param finalFragment
    48       *            flag indicating if this frame is the final fragment
    49       * @param rsv
    50       *            reserved bits used for protocol extensions
    51       * @param binaryData
    52       *            the content of the frame.
    53       */
    54      public PingWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData) {
    55          setFinalFragment(finalFragment);
    56          setRsv(rsv);
    57          setBinaryData(binaryData);
    58      }
    59
    60      @Override
    61      public String toString() {
    62          return getClass().getSimpleName() + "(data: " + getBinaryData() + ')';
    63      }
    64
    65  }